Subject: Re: [PATCH 5/5] libata/drivers: Add pata_macio, driver Apple PowerMac/PowerBook IDE controller

From: Tejun Heo <[email-masked]>
Date: Wed, 02 Dec 2009 08:44:15 +0900

On 12/02/2009 08:35 AM, Benjamin Herrenschmidt wrote:
> On Wed, 2009-12-02 at 08:27 +0900, Tejun Heo wrote:
>> Conceptually freeze would be more approriate but the side effect is
>> that the port is frozen and EH will try to thaw it by resetting it.
>> So, abort would work better.
> 
> BTW. For a plug event, what should I do ? freeze is fine ? Or just
> schedule eh ? Right now, when plugging I see an exception Emask 0x10
> etc... message in the log when plugging which isn't totally nice :-)

freeze() and please don't fight the EH messages from low level driver.
If it's too much, we need to update core layer but given the variety
of phy related bugs, I think we need those messages.

Thanks.

-- 
tejun